Name:          ktp-contact-list
Version:       0.9.0
Release:       1mamba
Summary:       KDE Telepathy contact list
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/kde-telepathy/%{version}/src/ktp-contact-list-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: ktp-common-internals-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
BuildRequires: telepathy-qt-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
KDE Telepathy contact list.

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --all-name --with-kde || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde4_bindir}/ktp-contactlist
%{_kde4_xdgappsdir}/ktp-contactlist.desktop
%doc COPYING

%changelog
* Wed Oct 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Tue Oct 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Sun Oct 07 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.5.1-1mamba
- update to 0.5.1

* Tue Aug 28 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.5.0-1mamba
- update to 0.5.0

* Fri Jul 27 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.4.1-1mamba
- update to 0.4.1

* Wed Jun 20 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.4.0-1mamba
- update to 0.4.0

* Tue Apr 10 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.3.1-1mamba
- package created by autospec
